{% extends 'crud/edit.html' %}

{% block content %}
    {{ block.super }}

    {% load static %}
        <script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>
    <link rel="stylesheet" href="{% static 'select2/css/select2.css' %}">
    <script type="application/javascript" src="{% static 'select2/js/select2.full.js' %}"></script>
    <link rel="stylesheet" href="{% static 'select2/bootstrap/select2-bootstrap.css' %}">
        <script type="application/javascript" src="{% static 'custom/js/disable_numberfield_scroll.js' %}"></script>


<script type="application/javascript">
        $('#id_saled_by_departament').hide()
        $('label[for=id_saled_by_departament]').hide()

        localStorage.setItem('departament', "{{ user.profile.departament.id }}")

        $("#id_client").select2({
        theme: 'bootstrap',
        placeholder: 'Начните вводить',
        allowClear: true,
    });
        $("#id_tutor1").select2({
        theme: 'bootstrap',
        placeholder: 'Начните вводить',
        allowClear: true,
    });

        $("#id_tutor2").select2({
        theme: 'bootstrap',
        placeholder: 'Начните вводить',
        allowClear: true,
    });
        $(document).ready(function () {
            ajaxGetLastAbon($('#id_client').val())
            ajaxGetLastPromotion($('#id_client').val())
        })


        $('#id_tutor1').on('select2:select', function (e) {
        var data = e.params.data;
        ajaxGetGroupsByTutor(data.id, $("#id_departament1").val(), 1)
    });

        $('#id_tutor2').on('select2:select', function (e) {
        var data = e.params.data;
        ajaxGetGroupsByTutor(data.id, $("#id_departament2").val(), 2)
    });

        $('#id_client').on('select2:select', function (e) {
            let client = e.params.data
            ajaxGetLastAbon(client.id)
            ajaxGetLastPromotion(client.id)
        })


    </script>
{% endblock %}

{% block custom_includes %}
    {{ block.super }}
    {% load static %}
    <script src="{% static 'custom/js/miltiplyCheckboxesChoice.js' %}"></script>
    <link rel="stylesheet" href="{% static 'custom/css/bootstrap-multiselect.css' %}">
    <script src="{% static 'custom/js/bootstrap-multiselect.js' %}"></script>
    <script src="{% static 'custom/js/sales/formLogicEdit.js' %}"></script>
{% endblock %}